/****************************************************************************

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    
    @author T.Y.Shin (https://github.com/zeroreloaded)
    
******************************************************************************/
package kr.gmtc.gw.dev.asderecv.asde.asterix.spec;

import java.util.*;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "AsterixListCategory")
public class AsterixList_Category
{
    private List<AsterixList_SpecFile> asterixFile;
    
    @XmlElement(name = "AsterixSpecFile")
    public void setAsterixs(List<AsterixList_SpecFile> asterixFile) { 
    	this.asterixFile = asterixFile; 
    }
    
    public List<AsterixList_SpecFile> getAsterixs() { 
    	return this.asterixFile; 
    }
}